# eduTrac SIS

eduTrac SIS is an advanced open source student information system for higher education.

## System Requirement

* Minimum of PHP version 5.4
* Apache / Nginx
* Gettext enabled


## Features

* Manage Students
* Manage Human Resources
* Manage Staff
* Manage Faculty
* Manage Courses
* Manage Course Sections
* Manage Roles / Permissions
* Manage Students / Records
* Print Course Catalogs
* Set Cron Handlers
* Print Section Rosters
* SQL Interface
* Manage Applications
* Enter final grades for GPA calculation
* Graduate Students
* Generate Transcripts
* Plugin API
* RESTful API
* and much more...

## Rewrite

### Apache

<pre>
RewriteEngine On
 
# Some hosts may require you to use the `RewriteBase` directive.
# If you need to use the `RewriteBase` directive, it should be the
# absolute physical path to the directory that contains this htaccess file.
#
# RewriteBase /
 
RewriteCond %{REQUEST_FILENAME} !-f
RewriteCond %{REQUEST_FILENAME} !-d
RewriteRule . index.php [L]
</pre>

### Nginx

#### Root Directory

<pre>
location / {
    try_files $uri /index.php$is_args$args;
}
</pre>

#### Subdirectory

<pre>
location /sis {
    try_files $uri /sis/index.php$is_args$args;
}
</pre>

## Resources.

* Take eduTrac SIS for a test drive by checking out the full featured [demo] (http://demo.edutrac.net/).
* [Online User's Manual] (http://www.edutracsis.com/): everything you need to get eduTrac SIS installed and setup.
* [et 101] (http://et101.edutracsis.com/): more of a visual learner; this training videos will take through step by step on how to install, setup and use eduTrac SIS.
* Bug fixing: contribute by helping to squash [bugs] (http://trac.edutracsis.com/projects/edutrac-sis/issues)
* Handbook: majority of the classes, functions, methods and hooks are documented in the [developer's handbook] (http://developer.edutracsis.com); contribute to it or use it to write plugins for the community.

## Mailing Lists

* [etsis-announce] (http://reformed.edutrac.org/cgi-bin/mailman/listinfo/etsis-announce) - Announcement list pertaining to eduTrac SIS updates.
* [etsis-bugs] (http://reformed.edutrac.org/cgi-bin/mailman/listinfo/etsis-bugs) - Announcement list pertaining to bugs, but all bugs should be reported on [Trac] (http://trac.edutracsis.com/projects/edutrac-sis/issues).
* [etsis-core] (http://reformed.edutrac.org/cgi-bin/mailman/listinfo/etsis-core) - Discussion around the core development of eduTrac SIS.
* [etsis-docs] (http://reformed.edutrac.org/cgi-bin/mailman/listinfo/etsis-docs) - Discussion regarding eduTrac SIS Handbook and Online User's Manual.
* [etsis-reports] (http://reformed.edutrac.org/cgi-bin/mailman/listinfo/etsis-reports) - Discussion list pertaining to writing and sharing SQL queries for advanced ad-hoc reporting.